For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete Note

Delete a debtor note

DELETE https://integrate.d6plus.co.za/api/v1/finplus/debtmanagement/debtornotes/notes/{school_login_id}

Use this endpoint to delete a debtor note for the specified school.

The note_id is required and can be found using the Get Note(s) call.

If you need to restore a deleted debtor note, see Update Note.

Path Parameters

Name
Type
Description

school_login_id*

Integer

The login ID of the school to retrieve data from

Headers

Name
Type
Description

HTTP-X-USERNAME*

String

As provided by d6

HTTP-X-PASSWORD*

String

As provided by d6

Query Parameters

Name
Type
Description

note_id*

Integer

The id of the debtor note to delete

Response Examples

{
    "status": "Deleted"
}
{
    "error": "Not Found",
    "error_description": "The note does not exist or has already been deleted."
}
{
    "error": "Unauthorized",
    "error_description": "Client access not authorised"
}
{
    "error": "Integration not activated",
    "error_description": "Please activate the Admin+ API for this client before making this request"
}

Code Samples

Last updated